#pragma once


struct App
{
    static HINSTANCE inst;
    static HWND mainWnd;
    static HWND nextViewer;
    static std::wstring outDir;
    static std::wstring outFmt;
    static bool includeInitial;
    static bool verbose;
    static bool utcTimes;
    static bool silent;

    static void error(const std::wstring& msg) {
        std::wcerr << msg << std::endl; }

    static void apiError(const std::wstring& msg, const std::wstring& func, DWORD code = GetLastError()) {
        std::wcerr << msg << L"; " << func << L"; error " << code << std::endl; }

};
