#pragma once


namespace Clipboard {;


class Session : boost::noncopyable {
public:
    Session(HWND newOwner = 0) { opened = OpenClipboard(newOwner); }
    ~Session() { if (opened) { CloseClipboard(); } }
    bool isOpened() const { return opened; }
private:
    bool opened;
};


std::wstring getFormatName(UINT fmt);
//vector<UINT> getFormats();


}  // namespace Clipboard
